USBHIDCTL(1)

NAME
usbhidctl - manipulate USB HID devices

SYNOPSIS
usbhidctl [-a] -f device [-l] [-n] [-r] [-t table] [-v] [name ...]

DESCRIPTION
usbhidctl can be used to dump the state of a USB HID (Human Interface Device). The named items are printed.

The options are as follows:

-a  Show all items.

-f device
    Specify a path name for device to operate on.

-l  Loop and dump the device data every time it changes.

-n  Suppress printing of the item name.

-r  Dump the report descriptor.

-t table
    Specify a path name for the HID usage table file.

-v  Be verbose.

FILES
/usr/share/misc/usb_hid_usages The default HID usage table.

BUGS
Cannot show or set output and feature items.

SEE ALSO
usb(4), uhid(4)

HISTORY
The usbhidctl command appeared in NetBSD 1.4.